ImaTransactionListener (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Interface ImaTransactionListener

-     public interface ImaTransactionListener

  The transaction listener defines the callbacks associated with a transaction.
  The object implementing this interface is owned by the plug-in.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCommit​(ImaTransaction transaction, int rc, String reason)` | Called when the transaction is committed.
    `void` | `onCreate​(ImaTransaction transaction, int rc, String reason)` | Called when the transaction is created.
    `void` | `onRollback​(ImaTransaction transaction, int rc, String reason)` | Called when the transaction is rolled back.

- - ### Field Detail

    - #### COPYRIGHT

          static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### onCreate

          void onCreate​(ImaTransaction transaction,
                        int rc,
                        String reason)

      Called when the transaction is created. The transaction can be used now.
      Parameters:
        `transaction` -
        `rc` - A return code 0=normal
        `reason` - A human readable reason code

    - #### onCommit

          void onCommit​(ImaTransaction transaction,
                        int rc,
                        String reason)

      Called when the transaction is committed. The transaction can be reused after that.
      Parameters:
        `rc` - A return code 0=normal
        `reason` - A human readable reason code

    - #### onRollback

          void onRollback​(ImaTransaction transaction,
                          int rc,
                          String reason)

      Called when the transaction is rolled back. The transaction can be reused after that.
      Parameters:
        `rc` - A return code 0=normal
        `reason` - A human readable reason code